package Ocsinventory::Agent::Backend::OS::BSD::Pcictl::Videos;
use strict;
use Ocsinventory::Agent::Backend::OS::BSD::Pcictl::Pcictl;

sub run {
  my $params = shift;
  my $inventory = $params->{inventory};

  foreach (runpcictl()) {

    if(/graphics|vga|video|display/i && /^\S+:\s(.+)\s\(([^,]+)(,.+)?\)$/i) {

      $inventory->addVideos({
	  'CHIPSET'  => $1,
	  'NAME'     => $2,
	});

    }
  }
}
1
